GenAuth DocsDocuments
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Old version
Development Integration
  • API

  • SDK

    • Java

    • Node.js

    • Python

      • Installation and Usage
      • Authentication Module

      • Management Module

        • User Management

        • Organization Management

        • Role Management

        • User Group Management

        • Custom Field Management

        • Resource and Permission Management

        • 管理应用

          • 获取应用详情
          • 获取应用列表
          • 获取应用简单信息
          • 获取应用简单信息列表
          • 创建应用
          • 删除应用
          • 获取应用密钥
          • 刷新应用密钥
          • 获取应用当前登录用户
          • 获取应用默认访问授权策略
          • 更新应用默认访问授权策略
          • 授权应用访问权限
          • 删除应用访问授权记录
          • 检测域名是否可用
        • 管理身份源

        • 管理安全配置

        • 管理消息服务

        • 管理 Pipeline

        • 管理 Webhook

        • 获取审计日志

        • 管理计量计费

        • 事件
  • Error Codes
  1. Development Integration
  2. /
  3. SDK
  4. /
  5. Python
  6. /
  7. Management Module

  8. /
  9. 管理应用

  10. /
  11. 创建应用

¶ Create an application

Update time: 2025-07-23 07:34:21
Edit

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If this document description is incorrect, please refer to V3 API.

Create an application

¶ Method name

ManagementClient.create_application

¶ Request parameters

NameType
Is it required?
Default value
Description
Sample value
appNamestringyes-Application nameSample application
templatestringno-Integrated application template type, required for integrated applications. Integrated applications only need to fill in the template and templateData fields, and other fields will be ignored.github
templateDatastringno-Integrated application configuration information, required for integrated applications.github
appIdentifierstringno-Application unique identifier, required for self-built applications.example
appLogostringNo-App Logo URLExample App
appDescriptionstringNo-App DescriptionExample Description
appTypestringNowebApp Typeweb
defaultProtocolstringNo-Default App Protocol Typeoidc
redirectUrisstring[]No-App Login Callback URL["https://example.com/callback"]
logoutRedirectUrisstring[]No-Application logout callback address["https://example.com/logout-callback"]
initLoginUristringNo-Initiate login address: When you click "Experience Login" in the GenAuth application details or click the application icon in the application panel, you will be redirected to this URL, which is the GenAuth login page by default.["https://example.com/login"]
ssoEnabledbooleanNo-Whether to enable SSO single sign-on
oidcConfigOIDCConfigNo[object Object]OIDC protocol configuration
samlProviderEnabledbooleanNo-Whether to enable SAML identity provider
samlConfigSamlIdpConfigNo[object Object]SAML protocol configuration
oauthProviderEnabledbooleanNo-Whether to enable OAuth identity provider
oauthConfigOauthIdpConfigNo-OAuth2.0 protocol configuration. [Important] OAuth2.0 is no longer recommended. It is recommended to switch to OIDC.{"grants":["authorization_code"],"access_token_lifetime":1209600,"refresh_token_lifetime":2592000,"introspection_endpoint_auth_method":"client_secret_post","revocation_endpoint_auth_method":"client_secret_post"}
casProviderEnabledbooleanNo-Whether to enable CAS identity provider
casConfigCasIdPConfigNo-CAS protocol configuration{"casUserIdentifier":"${user.username}","customAttributes":{"customAttr1":"123"},"stLifetime":300}
loginConfigApplicationLoginConfigInputDtoNo-RegisterConfig
registerConfigApplicationRegisterConfigInputDtoNo-RegisterConfig
brandingConfigApplicationBrandingConfigInputDtoNo-BrandingConfig

¶ Request Response

Type: CreateApplicationRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, please see: API Code List (opens new window)
requestIdstringRequest ID. Returned when the request fails.
dataCreateApplicationRespDataDtoResponse data

Example results:

{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "appId": "62eaa95fe0xxxx9a5295bf7c",
    "appIdentifier": "example",
    "appName": "Sample application",
    "appLogo": "Sample application",
    "appDescription": "Sample description information",
    "appType": "web",
    "defaultProtocol": "oidc",
    "redirectUris": "[\"https://example.com/callback\"]",
    "logoutRedirectUris": "[\"https://example.com/logout-callback\"]",
    "initLoginUri": "[\"https://example.com/login\"]",
    "ssoEnabled": true,
    "ssoEnabledAt": "2022-07-03T03:20:30.000Z",
    "loginConfig": {
      "enabledBasicLoginMethods": "[\"EMAIL_CODE\",\"EMAIL_PASSWORD\"]",
      "defaultLoginMethod": {
        "connectionType": "QRCODE",
        "qrcodeExtIdpConnId": "6303a2bf2xxxxx7f665f01bf1"
      },
      "enabledExtIdpConns": "[\"6303a2bf2xxxx7f665f01bf1\",\"6321397b6xxxx1b8481ccfc0\"]"
    },
    "registerConfig": {
      "enabledBasicRegisterMethods": "[\"EMAIL_CODE\",\"PHONE_CODE\"]",
      "defaultRegisterMethod": { "connectionType": "PASSWORD" }
    },
    "brandingConfig": {
      "customCSS": "/* \nEdit login page css\neg:\n.authing-guard-layout {\n background: black !important;\n}\nChange the background color\n*/",
      "guardVersion": "Advanced",
      "customLoadingImage": "https://files.authing.co/user-contents/photos/cbd51df7-efb1-4b50-b38c-d8e5a04b1830.png",
      "customBackground": "https://files.authing.co/user-contents/photos/cbd51df7-efb1-4b50-b38c-d8e5a04b1830.png",
      "defaultLanguage": "zh-CN",
      "showForgetPasswordButton": true,
      "showEnterpriseConnections": true,
      "showSocialConnections": true,
      "agreements": {
        "displayAt": "[\"LoginPage\",\"RegisterPage\"]",
        "isRequired": true,
        "lang": "zh-CN",
        "content": "I have read and agreed to the Privacy Agreement and Terms of Service"
      }
    },
    "oidcConfig": {},
    "samlConfig": {},
    "oauthConfig": {},
    "casConfig": {},
    "template": "github"
  }
}

¶ Data Structure

¶ OIDCConfig

NameType
Is it required?
Description
Sample value

¶ SamlIdpConfig

NameType
Is it required?
Description
Sample value

¶ OauthIdpConfig

NameType
Is it required?
Description
Sample value

¶ CasIdPConfig

NameType
Is it required
Description
Sample value

¶ ApplicationLoginConfigInputDto

NameType
Is it required
Description
Example value
mergeLoginAndRegisterPagebooleanNoWhether to enable login and registration merge
enabledBasicLoginMethodsarrayNoBasic login method enabled
defaultLoginMethodNoApplication default login method (excluding social login and enterprise identity source login) Nested type: ApplicationDefaultLoginMethodInput.{"connectionType":"QRCODE","qrcodeExtIdpConnId":"6303a2bf2xxxxx7f665f01bf1"}
enabledExtIdpConnIdsarrayNoEnabled external identity source connections Nested type: ApplicationEnabledExtIdpConnInputDto.[{"extIdpConnId":"xxx"}]
enabledAllExtIdpConnsbooleanNoEnable all external identity source connections
showAuthorizationPagebooleanYesWhether to display the user authorization page

¶ ApplicationDefaultLoginMethodInput

NameType
Is this field required?
Description
Sample value
connectionTypestringyesDefault login type
- PASSWORD: Password type, depends on the basic login method you enable, supports mobile phone number/email/user name + password for login
- PASSCODE: Verification code type, depends on the basic login method you enable, supports mobile phone number/email + verification code for login
- QRCODE: Scan code login type, currently includes three types: scan code login for self-built APP, scan code login for WeChat public account, and scan code login for WeChat mini program
PASSCODE
qrcodeTypestringnoWhen connectionType is QRCODE, this parameter indicates the QR code type.
- SELF_BUILT_APP: Scan the QR code of self-built APP
- WECHAT_OFFICIAL_ACCOUNT: Scan the QR code to follow the WeChat official account to log in
- WECHAT_MINI_PROGRAM: Scan the QR code to log in through the WeChat mini program
SELF_BUILT_APP
qrcodeExtIdpConnIdstringNoWhen connectionType is QRCODE, you need to specify the ID of the specific identity source connection for scanning the QR code to log in through this parameter.6303a2bf2xxxxx7f665f01bf1
adExtIdpConnIdstringNoWhen connectionType is AD, you need to specify the ID of the specific AD identity source connection through this parameter.6303a2bf2xxxxx7f665f01bf1
ldapExtIdpConnIdstringNoWhen connectionType is LDAP, you need to specify the ID of the specific LDAP identity source connection through this parameter.6303a2bf2xxxxx7f665f01bf1

¶ ApplicationEnabledExtIdpConnInputDto

NameType
Is it required?
Description
Sample value
extIdpConnIdstringYesIdentity source connection ID6303a2bf2xxxxx7f665f01bf1

¶ ApplicationRegisterConfigInputDto

NameType
Is it required?
Description
Sample value
enabledBasicRegisterMethodsarrayyesEnabled registration method["EMAIL_CODE","PHONE_CODE"]
defaultRegisterMethodstringyesDefault registration type
- PASSWORD: Password type, supports email + password for login
- PASSCODE: Verification code type, depends on the registration method you enable, supports mobile phone number/email + verification code for login
PASSCODE

¶ ApplicationBrandingConfigInputDto

NameType
Is it required?
Description
Sample value
customCSSEnabledbooleanNoWhether to enable custom CSS
customCSSstringNoCustom CSS content`/*

Edit login page css eg: .authing-guard-layout { background: black !important; } Change the background color */| | guardVersion | string | No | Guard version: <br>-Advanced: Advanced version <br>-Classical: Classic version <br> | Advanced | | customLoadingImage | string | No | Custom loading icon, displayed when the login box is loading |https://files.authing.co/user-contents/photos/cbd51df7-efb1-4b50-b38c-d8e5a04b1830.png| | customBackground | string | No | Customize the login page background, example: <br>- Image background:url(https://files.authing.co/user-contents/photos/6c6b3726-4a04-4ba7-b686-1a275f81a47a.png) center/cover<br>- Solid color background:rgba(37,49,122,1)<br> |https://files.authing.co/user-contents/photos/cbd51df7-efb1-4b50-b38c-d8e5a04b1830.png| | showChangeLanguageButton | boolean | no | Whether to display the language switch button | | | defaultLanguage | string | no | Default language for display:<br>-zh-CN: Simplified Chinese<br>-zh-TW: Traditional Chinese<br>-en-US: English<br>-ja-JP: Japanese<br><br>By default, the GenAuth login page will be automatically rendered based on the user's browser language. <br> | zh-CN | | showForgetPasswordButton | boolean | no | Whether to display the Forgot Password button |true| | showEnterpriseConnections | boolean | no | Whether to display the enterprise identity source login method |true| | showSocialConnections | boolean | no | Whether to display the social login method |true` |

¶ CreateApplicationRespDataDto

NameType
Is this field required?
Description
Sample value
appIdstringyesApplication ID62eaa95fe0xxxx9a5295bf7c
appIdentifierstringyesApplication unique identifierexample
appNamestringyesApplication nameExample App
appLogostringyesApplication Logo linkExample App
appDescriptionstringnoApplication descriptionExample Description
appTypestringyesApplication typeweb
userPoolIdstringyesUser pool ID
isIntegrateAppbooleanyesWhether it is an integrated application
defaultProtocolstringyesDefault application protocol typeoidc
redirectUrisarrayyesApplication login callback URL["https://example.com/callback"]
logoutRedirectUrisarrayyesApplication logout callback address["https://example.com/logout-callback"]
initLoginUristringyesInitiate login address: When you click "Experience Login" in the GenAuth application details or click the application icon in the application panel, you will jump to this URL, which is the GenAuth login page by default.["https://example.com/login"]
ssoEnabledbooleanyesWhether to enable SSO single sign-ontrue
ssoEnabledAtstringNoTime to enable SSO single sign-on2022-07-03T03:20:30.000Z
loginConfigYesLogin configuration Nested type: ApplicationLoginConfigDto.
registerConfigYesRegistration configuration Nested type: ApplicationRegisterConfig.
brandingConfigYesBranding configuration Nested type: ApplicationBrandingConfig.
oidcConfigYesOIDC protocol configuration Nested type: OIDCConfig.
samlProviderEnabledbooleanyesWhether to enable SAML identity provider
samlConfignoSAML protocol configuration Nested type: SamlIdpConfig.
oauthProviderEnabledbooleanyesWhether to enable OAuth identity provider
oauthConfignoOAuth2.0 protocol configuration Nested type: OauthIdpConfig.
casProviderEnabledbooleanyesWhether to enable CAS identity provider
casConfignoCAS protocol configuration Nested type: CasIdPConfig.
customBrandingEnabledbooleanyesWhether to customize the login box of this application. The default is to use the global login box configuration.
customSecurityEnabledbooleanyesWhether to customize the security rules of this application. The default is to use the global security configuration.
templatestringnoTemplate type of integrated applicationgithub

¶ ApplicationLoginConfigDto

NameType
Is it required?
Description
Sample value
mergeLoginAndRegisterPagebooleanyesWhether to enable login and registration merge
enabledBasicLoginMethodsarrayyesBasic login method enabled["EMAIL_CODE","EMAIL_PASSWORD"]
defaultLoginMethodyesApplication default login method (excluding social login and enterprise identity source login) Nested type: ApplicationDefaultLoginMethod.{"connectionType":"QRCODE","qrcodeExtIdpConnId":"6303a2bf2xxxxx7f665f01bf1"}
enabledExtIdpConnsarrayyesEnabled external identity source connection Nested type: ApplicationEnabledExtIdpConnDto.["6303a2bf2xxxx7f665f01bf1","6321397b6xxxx1b8481ccfc0"]
showAuthorizationPagebooleanyesWhether to display the user authorization page

¶ ApplicationDefaultLoginMethod

NameType
Is it required?
Description
Sample value
connectionTypestringYesDefault login type
- PASSWORD: Password type, depending on the basic login method you enable, supports mobile phone number/email/user name + password for login
- PASSCODE: Verification code type, depending on the basic login method you enable, supports mobile phone number/email + verification code for login
- QRCODE: Scan code login type, currently includes three types: scan code login for self-built APP, scan code login for WeChat public account, and scan code login for WeChat mini program
PASSCODE
qrcodeTypestringYesWhen connectionType is QRCODE, this parameter indicates the QR code type.
- SELF_BUILT_APP: Scan the QR code of self-built APP
- WECHAT_OFFICIAL_ACCOUNT: Scan the QR code to follow the WeChat official account to log in
- WECHAT_MINI_PROGRAM: Scan the QR code to log in the WeChat mini program
SELF_BUILT_APP
qrcodeExtIdpConnIdstringYesWhen connectionType is QRCODE, you need to specify the ID of the specific identity source connection for scanning the QR code to log in through this parameter.6303a2bf2xxxxx7f665f01bf1
adExtIdpConnIdstringYesWhen connectionType is AD, you need to specify the ID of the specific AD identity source connection through this parameter.6303a2bf2xxxxx7f665f01bf1
ldapExtIdpConnIdstringyesWhen connectionType is LDAP, you need to specify the ID of the specific LDAP identity source connection through this parameter.6303a2bf2xxxxx7f665f01bf1

¶ ApplicationEnabledExtIdpConnDto

NameType
Is it required?
Description
Sample value
isSocialbooleanyesIs it a social login identity source connection?true
extIdpIdstringyesIdentity source ID6303a2bf2xxxxx7f665f01bf1
extIdpTypestringyesIdentity source typeoidc
extIdpConnIdstringyesIdentity source connection ID6303a2bf2xxxxx7f665f01bf1
extIdpConnTypestringyesIdentity source connection typeoidc
extIdpConnIdentifierstringyesIdentity source connection readable unique identifier6303a2bf2xxxxx7f665f01bf1
extIdpConnDisplayNamestringyesWeChat6303a2bf2xxxxx7f665f01bf1
extIdpConnLogostringyesIdentity source connection Logohttps://files.authing.co/authing-console/social-connections/wechatBrowser.svg
enabledbooleannoWhether to allow identity source connection

¶ ApplicationRegisterConfig

NameType
Is it required?
Description
Sample value
enabledBasicRegisterMethodsarrayyesEnabled registration method["EMAIL_CODE","PHONE_CODE"]
defaultRegisterMethodstringyesDefault registration type
- PASSWORD: Password type, supports email + password login
- PASSCODE: Verification code type, depends on the registration method you enable, supports mobile phone number/email + verification code login
PASSCODE

¶ ApplicationBrandingConfig

NameType
Is it required?
Description
Sample value
customCSSEnabledbooleanyesWhether to enable custom CSS
customCSSstringnoCustom CSS content`/*

Edit login page css eg: .authing-guard-layout { background: black !important; } Change the background color */| | guardVersion | string | yes | Guard version: <br>-Advanced: Advanced version <br>-Classical: Classic version <br> | Advanced | | customLoadingImage | string | no | Custom loading icon, displayed when the login box is loading |https://files.authing.co/user-contents/photos/cbd51df7-efb1-4b50-b38c-d8e5a04b1830.png| | customBackground | string | No | Customize the login page background, example: <br>- Image background:url(https://files.authing.co/user-contents/photos/6c6b3726-4a04-4ba7-b686-1a275f81a47a.png) center/cover<br>- Solid color background:rgba(37,49,122,1)<br> |https://files.authing.co/user-contents/photos/cbd51df7-efb1-4b50-b38c-d8e5a04b1830.png| | showChangeLanguageButton | boolean | yes | Whether to display the language switch button | | | defaultLanguage | string | yes | Default language:<br>-zh-CN: Simplified Chinese<br>-zh-TW: Traditional Chinese<br>-en-US: English<br>-ja-JP: Japanese<br> | zh-CN | | showForgetPasswordButton | boolean | yes | Whether to display the Forgot Password button |true| | showEnterpriseConnections | boolean | yes | Whether to display the enterprise identity source login method |true| | showSocialConnections | boolean | yes | Whether to display the social login method |true` | | showAgreement | boolean | yes | Whether to display the login and registration agreement | | | agreements | array | yes | The displayed login and registration agreement list Nested type: ApplicationAgreementDto. | |

¶ ApplicationAgreementDto

NameType
Is it required?
Description
Sample value
displayAtarrayyesPages to display (multiple selections are allowed):
- LoginPage: Login page
- RegisterPage: Registration page
["LoginPage","RegisterPage"]
isRequiredbooleanyesIs it required to be checked?true
langstringyesFor which languages ​​is this protocol valid:
- zh-CN: Simplified Chinese
- zh-TW: Traditional Chinese
- en-US: English
- ja-JP: Japanese
zh-CN
contentstringyesWhat language is this agreement valid forI have read and agreed to the Privacy Agreement and Terms of Service

¶ OIDCConfig

NameType
Is it required
Description
Sample value

¶ SamlIdpConfig

NameType
Is it required
Description
Sample value

¶ OauthIdpConfig

NameType
Is it required?
Description
Sample value

¶ CasIdPConfig

NameType
Is it required?
Description
Sample value
Previous article: 获取应用简单信息列表 Next article: 删除应用
  • Method name
  • Request parameters
  • Request Response
  • Data Structure

User identity management

Integrated third-party login
Customized authentication process

Enterprise internal management

Single sign-on
Multi-factor authentication
Permission management

Developer

Development Documentation
GitHub (opens new window)

Company

official@genauth.ai
16th Floor, Building B, Beichen Century Center, Chaoyang District, Beijing (Total)
Room 406, 4th Floor, Block B, No. 200, Tianfu Fifth Street, High-tech Zone, Chengdu (Branch)

© Beijing Steamory Technology Co., Ltd.